Bug 489166 - /dev/console should be owned by group tty
/dev/console should be owned by group tty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 07:54 EDT by Bernie Innocenti
Modified: 2015-01-14 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-03-08 07:54:59 EDT
...otherwise "mesg y" warns about that.

If mesg is wrong, please reassign this bug to the sysvinit-tools component.
Comment 1 Harald Hoyer 2009-03-10 14:07:31 EDT
hmm, I can't reproduce that... how did you end up with /dev/console?? normally you have /dev/tty[123456..] or /dev/pts/[123456..]
Comment 2 Bernie Innocenti 2009-03-12 06:10:35 EDT
(In reply to comment #1)
> hmm, I can't reproduce that... how did you end up with /dev/console?? normally
> you have /dev/tty[123456..] or /dev/pts/[123456..]  

Oh, gosh.  It only happens when you boot in single user mode.
Comment 3 Evan McNabb 2009-04-07 22:14:36 EDT
Hi Harald,

I believe I see what Bernie mentioned (although I don't think /dev/console is the problem).

F10 works correctly:
$ mesg y
$ mesg
is y
$ tty
/dev/pts/1
$ ls -l /dev/pts/1
crw--w---- 1 emcnabb tty 136, 1 2009-04-07 22:08 /dev/pts/1

However, the latest Rawhide (20090407) shows:
$ mesg y
mesg: error: tty device is not owned by group `tty'
$ mesg
is n
$ tty
/dev/pts/8
$ ls -l /dev/pts/8
crw--w---- 1 emcnabb emcnabb 136, 8 2009-04-07 22:09 /dev/pts/8

This only happens on locally opened terminals. If I ssh in it does set the tty group correctly. For example, pts/0 and pts/1 are gnome-terminal sessions, and pts/10 is a ssh connection:

$ ls -l /dev/pts/*
crw--w---- 1 emcnabb emcnabb 136,  0 2009-04-07 22:05 /dev/pts/0
crw--w---- 1 emcnabb emcnabb 136,  1 2009-04-07 18:14 /dev/pts/1
crw--w---- 1 emcnabb tty     136, 10 2009-04-07 22:09 /dev/pts/10
...

I hope this helps.
Comment 4 Harald Hoyer 2009-04-08 06:31:49 EDT
udev never sets the permission to the user... it's login or consolehelper which does this.
Comment 5 Evan McNabb 2009-04-08 10:08:37 EDT
Ah, ok - I didn't realize that. Can you reassign this to the correct component? (ConsoleKit I assume)
Comment 6 Bernie Innocenti 2009-04-08 15:37:45 EDT
Done.
Comment 7 Bug Zapper 2009-06-09 08:01:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Randell Jesup 2009-06-19 14:18:24 EDT
Any idea how to fix this?  Since it worked in F10, I can't imagine it's a tough problem.  Hell, it's probably a one-liner.

I'd even look at it if someone could point me at the source.
Comment 9 Bernie Innocenti 2009-06-19 14:27:50 EDT
(In reply to comment #8)
> Any idea how to fix this?  Since it worked in F10, I can't imagine it's a tough
> problem.  Hell, it's probably a one-liner.
> 
> I'd even look at it if someone could point me at the source.  

Are you the same Randell Jesup who wrote substantial parts of AmigaOS?
/me bows

(sorry for the offtopic)
Comment 10 Bug Zapper 2010-04-27 09:08:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:25:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.